2019-12-10 11:33 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000195Spring engineGeneralpublic2006-06-22 12:47
ReporterBelmakor 
Assigned Totvo 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000195: New patch for map markers
DescriptionThis is some additional changes to map markers to give the marker a solid (alpha blended) interior to the black border, and to also give a little black "highlighting" to the map marker label text.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files
  • patch file icon InMapDrawPatch.patch (1,054 bytes) 2006-06-09 01:22 -
    Index: rts/Rendering/InMapDraw.cpp
    ===================================================================
    --- rts/Rendering/InMapDraw.cpp	(revision 1451)
    +++ rts/Rendering/InMapDraw.cpp	(working copy)
    @@ -55,7 +55,7 @@
     				tex[y][x][0]=255;
     				tex[y][x][1]=255;
     				tex[y][x][2]=255;
    -				tex[y][x][3]=(unsigned char) (255-dist*8);
    +				tex[y][x][3]=200;
     			}
     		}
     	}
    @@ -69,7 +69,7 @@
     				tex[y][x+64][0]=255;
     				tex[y][x+64][1]=255;
     				tex[y][x+64][2]=255;
    -				tex[y][x+64][3]=(unsigned char) (255-dist*8);
    +				tex[y][x+64][3]=200;
     			}
     		}
     	}
    @@ -141,8 +141,13 @@
     
     		if(pi->label.size()>0){
     			glPushMatrix();
    -			glTranslatef3(pi->pos+UpVector*105);
    +			glTranslatef3(pi->pos+UpVector*102);
     			glScalef(30,30,30);
    +			glColor4ub(0,0,0,250);
    +			font->glWorldPrint("%s",pi->label.c_str());
    +			glTranslatef3(UpVector*6/30);
    +			font->glWorldPrint("%s",pi->label.c_str());
    +			glTranslatef3(UpVector*-3/30);
     			glColor4ub(pi->color[0],pi->color[1],pi->color[2],250);
     			font->glWorldPrint("%s",pi->label.c_str());
     			glPopMatrix();
    
    patch file icon InMapDrawPatch.patch (1,054 bytes) 2006-06-09 01:22 +

-Relationships
+Relationships

-Notes

~0000220

tvo (reporter)

There's some weird effects when looking at it from strange angles because the texts are drawn on different heights.

~0000223

tvo (reporter)

committed the 'give the marker a solid (alpha blended) interior to the black border' part

~0000232

Belmakor (reporter)

Thanks. I agree regarding the outlined text - I didn't test thoroughly enough, and I can now see exactly the same issues too. If I get the chance, I will look at an alternative approach to outlined text and submit as a separate patch another time.

~0000246

tvo (reporter)

Ok, closing it then. Reopen it when you got a new patch.
+Notes

-Issue History
Date Modified Username Field Change
2006-06-09 01:22 Belmakor New Issue
2006-06-09 01:22 Belmakor File Added: InMapDrawPatch.patch
2006-06-10 17:37 tvo Note Added: 0000220
2006-06-12 19:39 tvo Note Added: 0000223
2006-06-13 03:00 Belmakor Note Added: 0000232
2006-06-22 12:47 tvo Status new => resolved
2006-06-22 12:47 tvo Resolution open => fixed
2006-06-22 12:47 tvo Assigned To => tvo
2006-06-22 12:47 tvo Note Added: 0000246
+Issue History